## okular 17.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "17")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "3")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(okular VERSION 1.3.${KDE_APPLICATIONS_VERSION_MICRO})

set(QT_REQUIRED_VERSION "5.6.0")
set(KF5_REQUIRED_VERSION "5.16.0")

find_package(ECM 5.19.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMOptionalAddSubdirectory)
include(GenerateExportHeader)
include(FeatureSummary)
include(ECMAddAppIcon)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMAddTests)
include(ECMAddAppIcon)
include(CMakePackageConfigHelpers)

ecm_setup_version(${PROJECT_VERSION}
                  VARIABLE_PREFIX OKULAR
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/core/version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Okular5ConfigVersion.cmake")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Core DBus Test Widgets PrintSupport Svg Qml Quick)
find_package(Qt5 ${QT_REQUIRED_VERSION} OPTIONAL_COMPONENTS TextToSpeech)
if (NOT Qt5TextToSpeech_FOUND)
    message(STATUS "Qt5TextToSpeech not found, speech features will be disabled")
else()
    add_definitions(-DHAVE_SPEECH)
endif()

find_package(KF5 ${KF5_REQUIRED_VERSION} REQUIRED COMPONENTS
    Archive
    Bookmarks
    Completion
    Config
    ConfigWidgets
    CoreAddons
    DocTools
    IconThemes
    JS
    KIO
    Parts
    ThreadWeaver
    Wallet
    WindowSystem
)
if(NOT WIN32)
    find_package(KF5 ${KF5_REQUIRED_VERSION} REQUIRED COMPONENTS
        Activities
    )
endif()
find_package(KF5Kirigami2)
set_package_properties(KF5Kirigami2 PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    PURPOSE "Required at runtime by the mobile app"
    TYPE RUNTIME
)
find_package(Phonon4Qt5 CONFIG REQUIRED)
find_package(KDEExperimentalPurpose)
set_package_properties(KDEExperimentalPurpose PROPERTIES
    DESCRIPTION "A framework for services and actions integration"
    PURPOSE "Required for enabling the share menu in Okular"
    TYPE OPTIONAL
)
if (KDEExperimentalPurpose_FOUND)
    set(PURPOSE_FOUND 1)
else()
    set(PURPOSE_FOUND 0)
endif()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)

find_package(ZLIB REQUIRED)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DTRANSLATION_DOMAIN="okular")

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${PHONON_INCLUDES} core/synctex ${ZLIB_INCLUDE_DIR} ${CMAKE_BINARY_DIR}/core)

add_subdirectory( mobile )
option(BUILD_COVERAGE "Build the project with gcov support" OFF)

if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    if (NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS "5.0.0")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wsuggest-override" )
    endif()
endif()

if(BUILD_COVERAGE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lgcov")
endif()

add_subdirectory( ui )
add_subdirectory( shell )
add_subdirectory( generators )
add_subdirectory( autotests )
add_subdirectory( conf/autotests )

add_subdirectory(doc)

include(OkularConfigureChecks.cmake)

if(NOT WIN32)
 set(MATH_LIB m)
else(NOT WIN32)
 set(MATH_LIB)
endif(NOT WIN32)

# okularcore

set(okularcore_SRCS
   core/action.cpp
   core/annotations.cpp
   core/area.cpp
   core/audioplayer.cpp
   core/bookmarkmanager.cpp
   core/chooseenginedialog.cpp
   core/document.cpp
   core/documentcommands.cpp
   core/fontinfo.cpp
   core/form.cpp
   core/generator.cpp
   core/generator_p.cpp
   core/misc.cpp
   core/movie.cpp
   core/observer.cpp
   core/debug.cpp
   core/page.cpp
   core/pagecontroller.cpp
   core/pagesize.cpp
   core/pagetransition.cpp
   core/rotationjob.cpp
   core/scripter.cpp
   core/sound.cpp
   core/sourcereference.cpp
   core/textdocumentgenerator.cpp
   core/textdocumentsettings.cpp
   core/textpage.cpp
   core/tilesmanager.cpp
   core/utils.cpp
   core/view.cpp
   core/fileprinter.cpp
   core/script/executor_kjs.cpp
   core/script/kjs_app.cpp
   core/script/kjs_console.cpp
   core/script/kjs_data.cpp
   core/script/kjs_document.cpp
   core/script/kjs_fullscreen.cpp
   core/script/kjs_field.cpp
   core/script/kjs_spell.cpp
   core/script/kjs_util.cpp
   core/synctex/synctex_parser.c
   core/synctex/synctex_parser_utils.c
)

ki18n_wrap_ui(okularcore_SRCS
   conf/textdocumentsettings.ui
)

install( FILES
           core/action.h
           core/annotations.h
           core/area.h
           core/document.h
           core/fontinfo.h
           core/form.h
           core/generator.h
           core/global.h
           core/page.h
           core/pagesize.h
           core/pagetransition.h
           core/sound.h
           core/sourcereference.h
           core/textdocumentgenerator.h
           core/textdocumentsettings.h
           core/textpage.h
           core/tile.h
           core/utils.h
           core/fileprinter.h
           core/observer.h
           ${CMAKE_CURRENT_BINARY_DIR}/core/version.h
           ${CMAKE_CURRENT_BINARY_DIR}/core/okularcore_export.h
           ${CMAKE_CURRENT_BINARY_DIR}/settings_core.h
         DESTINATION ${KDE_INSTALL_INCLUDEDIR}/okular/core COMPONENT Devel)

install( FILES
           interfaces/configinterface.h
           interfaces/guiinterface.h
           interfaces/printinterface.h
           interfaces/saveinterface.h
           interfaces/viewerinterface.h
         DESTINATION ${KDE_INSTALL_INCLUDEDIR}/okular/interfaces COMPONENT Devel)

ki18n_wrap_ui(okularcore_SRCS
   core/chooseenginewidget.ui
)

kconfig_add_kcfg_files(okularcore_SRCS conf/settings_core.kcfgc)

add_library(okularcore SHARED ${okularcore_SRCS})
generate_export_header(okularcore BASE_NAME okularcore EXPORT_FILE_NAME "${CMAKE_CURRENT_BINARY_DIR}/core/okularcore_export.h")

# Special handling for linking okularcore on OSX/Apple
IF(APPLE)
    SET(OKULAR_IOKIT "-framework IOKit" CACHE STRING "Apple IOKit framework")
ENDIF(APPLE)

# Extra library needed by imported synctex code on Windows
if(WIN32)
    set(SHLWAPI shlwapi)
endif(WIN32)

target_link_libraries(okularcore
PRIVATE
    ${OKULAR_IOKIT}
    ${SHLWAPI}
    KF5::Archive
    KF5::JS
    KF5::JSApi
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::I18n
    KF5::ThreadWeaver
    KF5::Wallet
    KF5::Bookmarks
    Phonon::phonon4qt5
    ${MATH_LIB}
    ${ZLIB_LIBRARIES}
PUBLIC  # these are included from the installed headers
    KF5::CoreAddons
    KF5::XmlGui
    KF5::ConfigGui
    Qt5::PrintSupport
    Qt5::Widgets
)

set_target_properties(okularcore PROPERTIES VERSION 8.0.0 SOVERSION 8 OUTPUT_NAME Okular5Core EXPORT_NAME Core)

install(TARGETS okularcore EXPORT Okular5Targets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES conf/okular.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES conf/okular_core.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES core/okularGenerator.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})

# okularpart

set(okularpart_conf_SRCS
   conf/preferencesdialog.cpp
   conf/dlgaccessibility.cpp
   conf/dlgdebug.cpp
   conf/dlgeditor.cpp
   conf/dlggeneral.cpp
   conf/dlgannotations.cpp
   conf/dlgperformance.cpp
   conf/dlgpresentation.cpp
   conf/editannottooldialog.cpp
   conf/editdrawingtooldialog.cpp
   conf/widgetannottools.cpp
   conf/widgetconfigurationtoolsbase.cpp
   conf/widgetdrawingtools.cpp
)

set(okularpart_SRCS
   ${okularpart_conf_SRCS}
   part.cpp
   extensions.cpp
   ui/embeddedfilesdialog.cpp
   ui/annotwindow.cpp
   ui/annotationmodel.cpp
   ui/annotationpopup.cpp
   ui/annotationpropertiesdialog.cpp
   ui/annotationproxymodels.cpp
   ui/annotationtools.cpp
   ui/annotationwidgets.cpp
   ui/bookmarklist.cpp
   ui/debug_ui.cpp
   ui/drawingtoolactions.cpp
   ui/fileprinterpreview.cpp
   ui/findbar.cpp
   ui/formwidgets.cpp
   ui/guiutils.cpp
   ui/ktreeviewsearchline.cpp
   ui/latexrenderer.cpp
   ui/minibar.cpp
   ui/okmenutitle.cpp
   ui/pageitemdelegate.cpp
   ui/pagepainter.cpp
   ui/pagesizelabel.cpp
   ui/pageviewannotator.cpp
   ui/pageviewmouseannotation.cpp
   ui/pageview.cpp
   ui/magnifierview.cpp
   ui/pageviewutils.cpp
   ui/presentationsearchbar.cpp
   ui/presentationwidget.cpp
   ui/propertiesdialog.cpp
   ui/searchlineedit.cpp
   ui/searchwidget.cpp
   ui/sidebar.cpp
   ui/side_reviews.cpp
   ui/snapshottaker.cpp
   ui/thumbnaillist.cpp
   ui/toc.cpp
   ui/tocmodel.cpp
   ui/toolaction.cpp
   ui/videowidget.cpp
   ui/layers.cpp
)

if (Qt5TextToSpeech_FOUND)
   set(okularpart_SRCS ${okularpart_SRCS}
      ui/tts.cpp)
endif()

ki18n_wrap_ui(okularpart_SRCS
   conf/dlgaccessibilitybase.ui
   conf/dlgeditorbase.ui
   conf/dlggeneralbase.ui
   conf/dlgannotationsbase.ui
   conf/dlgperformancebase.ui
   conf/dlgpresentationbase.ui
)

kconfig_add_kcfg_files(okularpart_SRCS conf/settings.kcfgc)

add_library(okularpart SHARED ${okularpart_SRCS})
generate_export_header(okularpart BASE_NAME okularpart)

target_link_libraries(okularpart okularcore
    ${MATH_LIB}
    Qt5::Svg
    Phonon::phonon4qt5
    KF5::Archive
    KF5::Bookmarks
    KF5::I18n
    KF5::IconThemes
    KF5::ItemViews
    KF5::KIOCore
    KF5::KIOFileWidgets
    KF5::KIOWidgets
    KF5::KIONTLM
    KF5::Parts
    KF5::Solid
    KF5::Wallet
    KF5::WindowSystem
)

if (KDEExperimentalPurpose_FOUND)
    target_link_libraries(okularpart KDEExperimental::PurposeWidgets)
endif()

set_target_properties(okularpart PROPERTIES PREFIX "")

if (Qt5TextToSpeech_FOUND)
   target_link_libraries(okularpart Qt5::TextToSpeech)
endif()
install(TARGETS okularpart DESTINATION ${KDE_INSTALL_PLUGINDIR})


########### install files ###############

install(FILES okular.upd DESTINATION ${KDE_INSTALL_DATADIR}/kconf_update)

install( FILES okular_part.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( FILES part.rc part-viewermode.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/okular )

install( FILES okular.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

########### cmake files #################

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Okular5")
configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/Okular5Config.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/Okular5Config.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/Okular5Config.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/Okular5ConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT Okular5Targets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE Okular5Targets.cmake NAMESPACE Okular::)

########### summary #################

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== generators/CMakeLists.txt ===

function(okular_add_generator _target)
  kcoreaddons_add_plugin(${_target}
    JSON "lib${_target}.json"
    INSTALL_NAMESPACE "okular/generators"
    SOURCES ${ARGN}
  )
endfunction()

find_package(Poppler "0.12.1" COMPONENTS Qt5)
set_package_properties("Poppler" PROPERTIES
        TYPE RECOMMENDED
        PURPOSE "Support for PDF files in okular.")

set(LIBSPECTRE_MINIMUM_VERSION "0.2")
find_package(LibSpectre "${LIBSPECTRE_MINIMUM_VERSION}")
set_package_properties(LibSpectre PROPERTIES
        DESCRIPTION  "A PostScript rendering library"
        URL "http://libspectre.freedesktop.org/wiki/"
        TYPE RECOMMENDED
        PURPOSE "Support for PS files in okular.")

find_package(KF5KExiv2 CONFIG)
set_package_properties("LibKExiv2" PROPERTIES
        DESCRIPTION  "Wrapper around Exiv2 library"
        URL "http://www.digikam.org/sharedlibs"
        TYPE RECOMMENDED
        PURPOSE "Support for image files")

find_package(CHM)
set_package_properties("CHM" PROPERTIES
        DESCRIPTION  "A library for dealing with Microsoft ITSS/CHM format files"
        URL "http://www.jedrea.com/chmlib"
        TYPE RECOMMENDED
        PURPOSE "Support CHM files in okular.")

find_package(KF5KHtml CONFIG)
set_package_properties("KF5KHtml" PROPERTIES
        DESCRIPTION "HTML rendering library"
        TYPE RECOMMENDED
        PURPOSE "Support CHM files in okular.")

find_package(LibZip)
set_package_properties("LibZip" PROPERTIES
        DESCRIPTION  "A library for reading, creating, and modifying zip archives"
        URL "https://libzip.org/"
        TYPE RECOMMENDED
        PURPOSE "Support CHM files in okular.")

find_package(DjVuLibre "3.5.17")
set_package_properties("DjVuLibre" PROPERTIES
        DESCRIPTION  "A library for dealing with DjVu formatted files"
        URL "http://djvulibre.djvuzone.org"
        TYPE RECOMMENDED
        PURPOSE "Support for DjVu files in okular.")

find_package(TIFF)
set_package_properties("libTIFF" PROPERTIES
        DESCRIPTION  "A library for reading and writing TIFF formatted files,"
        URL "http://www.remotesensing.org/libtiff"
        TYPE RECOMMENDED
        PURPOSE "Support for TIFF files in okular.")

find_package(Freetype)
set_package_properties("FreeType" PROPERTIES
        DESCRIPTION  "A font rendering engine"
        URL "http://www.freetype.org"
        TYPE RECOMMENDED
        PURPOSE "Provides freetype font support in the okular DVI generator.")

find_package(JPEG)
set_package_properties("JPEG" PROPERTIES
        DESCRIPTION  "A library for reading and writing JPEG image files."
        URL "http://www.ijg.org"
        TYPE RECOMMENDED
        PURPOSE "Support for PalmDB documents in okular.")

find_package(ZLIB)
set_package_properties("ZLib" PROPERTIES
        DESCRIPTION  "The Zlib compression library"
        URL "http://www.zlib.net"
        TYPE RECOMMENDED
        PURPOSE "Support for Plucker files in Okular.")

find_package(EPub)
set_package_properties("libepub" PROPERTIES
        DESCRIPTION  "A library for reading EPub documents"
        URL "http://sourceforge.net/projects/ebook-tools"
        TYPE RECOMMENDED
        PURPOSE "Support for EPub documents in Okular.")

find_package(QMobipocket "2" CONFIG)
set_package_properties("libqmobipocket" PROPERTIES
        DESCRIPTION  "A library for reading Mobipocket documents"
        URL "https://commits.kde.org/kdegraphics-mobipocket"
        TYPE RECOMMENDED
        PURPOSE "Support for Mobipocket documents in Okular.")
        
find_package(Discount "2")
set_package_properties("discount" PROPERTIES
        DESCRIPTION "A library that gives you formatting functions suitable for marking down entire documents or lines of text"
        URL "http://www.pell.portland.or.us/~orc/Code/discount/"
        TYPE RECOMMENDED
        PURPOSE "Support for Markdown documents in Okular.")

# let's enable the generators properly configured

if(Poppler_Qt5_FOUND)
  add_subdirectory(poppler)
endif(Poppler_Qt5_FOUND)

if(LIBSPECTRE_FOUND)
  add_subdirectory(spectre)
endif(LIBSPECTRE_FOUND)

if(KF5KExiv2_FOUND)
  add_subdirectory( kimgio )
endif()

if(CHM_FOUND AND KF5KHtml_FOUND AND LIBZIP_FOUND)
  add_subdirectory( chm )
endif()

if(DJVULIBRE_FOUND)
  add_subdirectory(djvu)
endif(DJVULIBRE_FOUND)

add_subdirectory(dvi)

if(TIFF_FOUND)
  add_subdirectory(tiff)
endif(TIFF_FOUND)

add_subdirectory(xps)

add_subdirectory(ooo)

add_subdirectory(fictionbook)

add_subdirectory(comicbook)

add_subdirectory(fax)

if(JPEG_FOUND AND ZLIB_FOUND)
  add_subdirectory(plucker)
endif(JPEG_FOUND AND ZLIB_FOUND)

if(EPUB_FOUND)
  add_subdirectory(epub)
endif(EPUB_FOUND)

add_subdirectory(txt)

if(QMobipocket_FOUND)
  add_subdirectory(mobipocket)
endif()

if(discount_FOUND)
  add_subdirectory(markdown)
endif()

=== conf/autotests/CMakeLists.txt ===
macro(add_conf_unittest _source)
  set(_test ${_source} ../editdrawingtooldialog.cpp)
  get_filename_component(_name ${_source} NAME_WE)
  add_executable( ${_name} ${_test} )
  add_test( ${_name} ${_name} )
  ecm_mark_as_test(${_name})
  target_link_libraries( ${_name}
    Qt5::Test
    Qt5::Widgets
    Qt5::Xml
    KF5::I18n
    KF5::Completion
    KF5::WidgetsAddons
  )
endmacro ()

add_conf_unittest(editdrawingtooldialogtest.cpp)

=== generators/chm/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DTRANSLATION_DOMAIN="okular_chm")

add_subdirectory( kio-msits )

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../..
   ${CHM_INCLUDE_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/lib
   ${LIBZIP_INCLUDE_DIR}
)


########### next target ###############

set(okularGenerator_chmlib_SRCS
   lib/ebook_chm.cpp
   lib/ebook_epub.cpp
   lib/ebook.cpp
   lib/ebook_chm_encoding.cpp
   lib/ebook_search.cpp
   lib/helper_entitydecoder.cpp
   lib/helper_search_index.cpp
   lib/helperxmlhandler_epubcontainer.cpp
   lib/helperxmlhandler_epubcontent.cpp
   lib/helperxmlhandler_epubtoc.cpp
   generator_chm.cpp
)

okular_add_generator(okularGenerator_chmlib ${okularGenerator_chmlib_SRCS})
target_link_libraries(okularGenerator_chmlib  okularcore ${CHM_LIBRARY} ${LIBZIP_LIBRARY} KF5::KHtml)

########### autotests ###############

add_definitions( -DKDESRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/" )
ecm_add_test(autotests/chmgeneratortest.cpp
    TEST_NAME "chmgeneratortest"
    LINK_LIBRARIES Qt5::Test KF5::CoreAddons okularcore
)

target_compile_definitions(chmgeneratortest PRIVATE -DGENERATOR_PATH="$<TARGET_FILE:okularGenerator_chmlib>")

########### install files ###############
install( FILES okularChm.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( PROGRAMS okularApplication_chm.desktop org.kde.mobile.okular_chm.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES org.kde.okular-chm.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== generators/epub/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DTRANSLATION_DOMAIN="okular_epub")

add_subdirectory(data)

include_directories(
   ${EPUB_INCLUDE_DIR}
)


########### next target ###############

set(okularGenerator_epub_PART_SRCS
  converter.cpp
  epubdocument.cpp
  generator_epub.cpp
)

okular_add_generator(okularGenerator_epub ${okularGenerator_epub_PART_SRCS})

target_link_libraries(okularGenerator_epub okularcore ${EPUB_LIBRARIES} KF5::I18n Qt5::Widgets Qt5::Xml)

########### install files ###############
install( FILES okularEPub.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( PROGRAMS okularApplication_epub.desktop org.kde.mobile.okular_epub.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES org.kde.okular-epub.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== generators/kimgio/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DTRANSLATION_DOMAIN="okular_kimgio")

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../..
   ${CMAKE_BINARY_DIR}
)


########### next target ###############

okular_add_generator(okularGenerator_kimgio generator_kimgio.cpp)
target_link_libraries(okularGenerator_kimgio okularcore KF5::KExiv2 KF5::I18n)

if(BUILD_TESTING)
    add_definitions( -DKDESRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/" )
    set( kimgiotest_SRCS tests/kimgiotest.cpp ${CMAKE_SOURCE_DIR}/ui/pagepainter.cpp ${CMAKE_SOURCE_DIR}/ui/guiutils.cpp ${CMAKE_SOURCE_DIR}/ui/debug_ui.cpp )
    ecm_add_test(${kimgiotest_SRCS} TEST_NAME "kimgiotest" LINK_LIBRARIES okularcore okularpart Qt5::Svg Qt5::Test)
    target_compile_definitions(kimgiotest PRIVATE -DGENERATOR_PATH="$<TARGET_FILE:okularGenerator_kimgio>")
endif()


########### install files ###############
install( FILES okularKimgio.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( PROGRAMS okularApplication_kimgio.desktop org.kde.mobile.okular_kimgio.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES org.kde.okular-kimgio.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== generators/markdown/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DTRANSLATION_DOMAIN="okular_markdown")

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../..
)


########### next target ###############

set(okularGenerator_md_PART_SRCS
  converter.cpp
  generator_md.cpp
)


okular_add_generator(okularGenerator_md ${okularGenerator_md_PART_SRCS})

target_link_libraries(okularGenerator_md okularcore KF5::I18n KF5::KIOCore ${discount_LIBRARIES})

########### install files ###############
install( FILES okularMd.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( PROGRAMS okularApplication_md.desktop org.kde.mobile.okular_md.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES org.kde.okular-md.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== generators/plucker/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DTRANSLATION_DOMAIN="okular_plucker")

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../..
   ${CMAKE_CURRENT_SOURCE_DIR}/../../generators/plucker/unpluck
   ${JPEG_INCLUDE_DIR}
   ${ZLIB_INCLUDE_DIR}
)

set(qunpluck_SRCS
    unpluck/config.cpp
    unpluck/image.cpp
    unpluck/qunpluck.cpp
    unpluck/unpluck.cpp
    unpluck/util.cpp
)

########### next target ###############

set(okularGenerator_plucker_SRCS
  generator_plucker.cpp
)

okular_add_generator(okularGenerator_plucker ${okularGenerator_plucker_SRCS} ${qunpluck_SRCS})

target_link_libraries(okularGenerator_plucker okularcore KF5::KIOCore KF5::I18n ${MATH_LIB} ${JPEG_LIBRARY} ${ZLIB_LIBRARY})

########### install files ###############
install( FILES okularPlucker.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( PROGRAMS okularApplication_plucker.desktop org.kde.mobile.okular_plucker.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES org.kde.okular-plucker.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== mobile/app/CMakeLists.txt ===

include_directories(  ${QT_INCLUDES} )

#add_subdirectory(src)

# QML-only thing
#install(DIRECTORY package/ DESTINATION ${KDE_INSTALL_DATADIR}/plasma/packages/org.kde.active.documentviewer)

install(DIRECTORY package/ DESTINATION ${KDE_INSTALL_DATADIR}/kpackage/genericqml/org.kde.mobile.okular)
install(FILES package/metadata.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} RENAME org.kde.mobile.okular.desktop)


#install(FILES active-documentviewer.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== ui/data/CMakeLists.txt ===
# an own directory for multi-size icons retrieved by KIconThemeLoader
add_subdirectory(icons)

# install annotator xml tools description
install(FILES
   tools.xml
   drawingtools.xml
   DESTINATION ${KDE_INSTALL_DATADIR}/okular)

# install annotation tool images
install(FILES
   tool-base-okular.png
   tool-base-okular@2x.png
   tool-highlighter-okular-colorizable.png
   tool-highlighter-okular-colorizable@2x.png
   tool-ink-okular-colorizable.png
   tool-ink-okular-colorizable@2x.png
   tool-note.png
   tool-note-okular-colorizable.png
   tool-note-okular-colorizable@2x.png
   tool-note-inline.png
   tool-note-inline-okular-colorizable.png
   tool-note-inline-okular-colorizable@2x.png
   DESTINATION ${KDE_INSTALL_DATADIR}/okular/pics)
# install annotation page images
install(FILES
   checkmark.png
   circle.png
   comment.png
   cross.png
   help.png
   insert.png
   key.png
   newparagraph.png
   note.png
   paperclip.png
   paragraph.png
   pushpin.png
   rightarrow.png
   rightpointer.png
   star.png
   uparrow.png
   upleftarrow.png
   DESTINATION ${KDE_INSTALL_DATADIR}/okular/pics)
# install annotation stamps
install(FILES
   stamps.svg
   DESTINATION ${KDE_INSTALL_DATADIR}/okular/pics)
# install misc images

# newstuff
if (FALSE)
install(FILES
   okular.knsrc
   DESTINATION ${KDE_INSTALL_CONFDIR})
endif (FALSE)

=== generators/chm/kio-msits/CMakeLists.txt ===
include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../../..
   ${CMAKE_CURRENT_SOURCE_DIR}/../lib
   ${CHM_INCLUDE_DIR}
)


########### next target ###############

set(kio_msits_PART_SRCS msits.cpp kio_mits_debug.cpp)


add_library(kio_msits MODULE ${kio_msits_PART_SRCS})

target_link_libraries(kio_msits  KF5::KIOCore Qt5::Core ${CHM_LIBRARY} )

install(TARGETS kio_msits DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### install files ###############

install( FILES ms-its.protocol DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== generators/epub/data/CMakeLists.txt ===
 
install(FILES
  okular-epub-sound-icon.png
  okular-epub-movie.png
  DESTINATION ${KDE_INSTALL_DATADIR}/okular/pics)

=== debian/changelog ===
okular (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:34:01 +0000

okular (4:17.12.2-0ubuntu3) bionic; urgency=medium

  * Add parttest to the failing test patch. Passes in LXD and
    cloud VM tests but segfaults on ubuntu test runners.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 26 Feb 2018 21:10:07 +0000

okular (4:17.12.2-0ubuntu2) bionic; urgency=medium

  * Update and tidy install files
  * Update copyright changes from debian
  * Update watchfile and add upstream signing key
  * Update upstream metadata
  * Install extra MS Chm backend files
  * As per debian, split qml files out into new module package
    qml-module-org-kde-okular

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 24 Feb 2018 19:13:53 +0000

okular (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * Add optional build dep on libmarkdown2-dev & install resultant
    new files 
  * Add build dep on libkf5purpose-dev
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * Library bump: libokular5core7 -> libokular5core8
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:03:18 +0000

okular (4:17.08.3-0ubuntu2) bionic; urgency=medium

  * Build with Qt5TextToSpeech support

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 01 Feb 2018 12:31:50 +0000

okular (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:13:35 +0000

=== debian/control ===
Source: okular
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.9~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kirigami2-dev (>= 5.31.0~),
               libchm-dev,
               libdjvulibre-dev,
               libepub-dev,
               libfreetype6-dev,
               libjpeg-dev,
               libkf5activities-dev (>= 5.31.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5bookmarks-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kexiv2-dev (>= 17.12.3~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5kjs-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5pty-dev (>= 5.31.0~),
               libkf5purpose-dev (>= 5.31.0~),
               libkf5threadweaver-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libmarkdown2-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libpoppler-qt5-dev,
               libqca-qt5-2-dev,
               libqmobipocket-dev (>= 4:17.12.3~),
               libqt5svg5-dev (>= 5.6.1~),
               libqt5texttospeech5-dev,
               libspectre-dev,
               libtiff-dev,
               libx11-dev,
               libzip-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular

Package: libokular5core8
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries for the Okular document viewer
 This package contains libraries used by the Okular document viewer.
 .
 This package is part of the KDE graphics module.

Package: okular
Section: graphics
Architecture: any
Depends: libokular5core8 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: cups-bsd, qtspeech5-flite-plugin
Suggests: ghostscript,
          jovie,
          okular-extra-backends (= ${binary:Version}),
          poppler-data,
          texlive-binaries,
          unrar
Provides: pdf-viewer, postscript-viewer
Breaks: kdegraphics-mobipocket (<< 4:4.12),
        okular-extra-backends (<< 4:16.12.1-0ubuntu3),
        okular-mobile (<< 4:16.12.1-0ubuntu3),
        ${kde-l10n:all}
Replaces: okular-extra-backends (<< 4:16.12.1-0ubuntu3),
          okular-mobile (<< 4:16.12.1-0ubuntu3),
          ${kde-l10n:all}
Description: universal document viewer
 Okular is a universal document viewer with support for advanced document
 features, such as annotations, forms, and embedded files.
 .
 This package provides the document viewer application, plus plugins for a wide
 variety of document formats such as:
  * PostScript (PS)
  * Portable Document Format (PDF)
  * OpenDocument Text (ODT)
  * TeX Device independent file format (DVI)
  * XML Paper Specification (XPS)
  * G3 fax
  * various electronic book formats: ComicBook, FictionBook, and Plucker
 .
 This package is part of the KDE graphics module.

Package: okular-dev
Section: libdevel
Architecture: any
Depends: libokular5core8 (= ${binary:Version}), ${misc:Depends}
Description: development files for the Okular libraries
 This package contains development files for building Okular document format
 backends.
 .
 This package is part of the KDE graphics module.

Package: okular-extra-backends
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: okular
Provides: djvu-viewer
Breaks: okular (<< 4:16.12.1-0ubuntu3),
        okular-mobile (<< 4:16.12.1-0ubuntu3),
        ${kde-l10n:all}
Replaces: okular (<< 4:16.12.1-0ubuntu3),
          okular-mobile (<< 4:16.12.1-0ubuntu3),
          ${kde-l10n:all}
Description: additional document format support for Okular
 These plugins allow Okular to view additional document formats:
  * Microsoft Compiled HTML Help (CHM)
  * Tagged Image File Format (TIFF)
  * DjVu scanned page format
  * EPub eBooks
 .
 This package is part of the KDE graphics module.

Package: qml-module-org-kde-okular
Architecture: any
Depends: qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: okular (<< 4:17.12.2-0ubuntu2~),
Replaces: okular (<< 4:17.12.2-0ubuntu2~),
Description: mobile support for Okular - QML modules
 This package contains the QML module for interfacing with the Okular core
 library.
 .
 This package is part of the KDE graphics module.

Package: okular-mobile
Architecture: any
Depends: qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-okular (= ${binary:Version}),
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls2,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: ghostscript,
          jovie,
          okular-extra-backends (= ${binary:Version}),
          poppler-data,
          texlive-binaries,
          unrar
Breaks: okular (<< 4:16.12.1-0ubuntu3), ${kde-l10n:all}
Replaces: okular (<< 4:16.12.1-0ubuntu3), ${kde-l10n:all}
Recommends: okular
Description: mobile support for Okular
 These plugins allow Okular to view additional document formats for mobile:
  * Portable Document Format (PDF)
  * PostScript
  * Device Independent Format (DVI)
  * DeJaVu Format
  * Comic Books
  * Images (JPEG, PNG, GIF, and many more)
  * TIFF Image Format
  * FictionBook Format
  * Plucker Format
  * OpenDocument Text Format
  * Microsofts CHM Format
  * Microsofts XML Document Format
 .
 This package is part of the KDE graphics module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_strip:
	$(overridden_command) --dbgsym-migration='okular-dbg (<= 4:15.12.1-1~~)'

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11,
         texlive-latex-base, xscreensaver
Restrictions: build-needed

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr

## okular 18.04.0

=== debian/changelog ===
okular (4:18.04.0-1mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 11 Jul 2021 15:11:47 -0400

okular (4:18.04.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Rename libokular5core8 to libokular5core9, according to the upstream SONAME
    bump.
  * Update the build & runtime dependencies:
    - bump all the Qt ones to >= 5.8.0
    - bump all the KF5 ones to >= 5.33.0
    - add libkf5crash-dev, libkf5purpose-dev, and libqt5texttospeech5-dev
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Bump Standards-Version to 4.1.4, no changes required.
  * Since the okularcore library bumps SONAME in each stable series, instead of
    using a symbols file make sure the generated shlibs requires the last
    version.
  * Remove the jovie suggests, as it is not useful for okular.

 -- Pino Toscano <pino@debian.org>  Tue, 08 May 2018 17:58:18 +0200

=== debian/control ===
Source: okular
Section: kde
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.19.0~),
               libchm-dev,
               libdjvulibre-dev (>= 3.5.17~),
               libepub-dev,
               libfreetype6-dev,
               libjpeg-dev,
               libkf5activities-dev (>= 5.33.0~),
               libkf5archive-dev (>= 5.33.0~),
               libkf5bookmarks-dev (>= 5.33.0~),
               libkf5completion-dev (>= 5.33.0~),
               libkf5config-dev (>= 5.33.0~),
               libkf5configwidgets-dev (>= 5.33.0~),
               libkf5coreaddons-dev (>= 5.33.0~),
               libkf5crash-dev (>= 5.33.0~),
               libkf5doctools-dev (>= 5.33.0~),
               libkf5iconthemes-dev (>= 5.33.0~),
               libkf5kexiv2-dev,
               libkf5khtml-dev,
               libkf5kio-dev (>= 5.33.0~),
               libkf5kjs-dev (>= 5.33.0~),
               libkf5parts-dev (>= 5.33.0~),
               libkf5pty-dev,
               libkf5purpose-dev,
               libkf5threadweaver-dev (>= 5.33.0~),
               libkf5wallet-dev (>= 5.33.0~),
               libkf5windowsystem-dev (>= 5.33.0~),
               libmarkdown2-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libpoppler-qt5-dev (>= 0.12.1~),
               libqca-qt5-2-dev (>= 2.1.0~),
               libqmobipocket-dev (>= 4:17.08~),
               libqt5texttospeech5-dev (>= 5.8.0~),
               libqt5svg5-dev (>= 5.8.0~),
               libspectre-dev (>= 0.2~),
               libtiff-dev,
               libx11-dev,
               libzip-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               zlib1g-dev,
Standards-Version: 4.1.4
Homepage: http://www.kde.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/okular.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/okular

Package: libokular5core9
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries for the Okular document viewer
 This package contains libraries used by the Okular document viewer.
 .
 This package is part of the KDE graphics module.

Package: okular
Section: graphics
Architecture: any
Depends: kinit,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: cups-bsd
Suggests: ghostscript,
          okular-extra-backends (= ${binary:Version}),
          poppler-data,
          texlive-binaries,
          unrar,
Provides: pdf-viewer, postscript-viewer
Breaks: kdegraphics-mobipocket (<< 4:4.12),
        okular-extra-backends (<< 4:16.12.0),
        okular-mobile (<< 4:17.04.1-0),
        ${kde-l10n:all},
Replaces: okular-extra-backends (<< 4:16.12.0),
          okular-mobile (<< 4:17.04.1-0),
          ${kde-l10n:all},
Description: universal document viewer
 Okular is a universal document viewer with support for advanced document
 features, such as annotations, forms, and embedded files.
 .
 This package provides the document viewer application, plus plugins for a wide
 variety of document formats such as:
  * PostScript (PS)
  * Portable Document Format (PDF)
  * OpenDocument Text (ODT)
  * TeX Device independent file format (DVI)
  * XML Paper Specification (XPS)
  * G3 fax
  * various electronic book formats: ComicBook, FictionBook, and Plucker
 .
 This package is part of the KDE graphics module.

Package: okular-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.33.0~),
         libkf5coreaddons-dev (>= 5.33.0~),
         libkf5xmlgui-dev,
         libokular5core9 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Description: development files for the Okular libraries
 This package contains development files for building Okular document format
 backends.
 .
 This package is part of the KDE graphics module.

Package: okular-extra-backends
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: okular
Provides: djvu-viewer
Breaks: okular (<< 4:16.12.0), ${kde-l10n:all}
Replaces: okular (<< 4:16.12.0), ${kde-l10n:all}
Description: additional document format support for Okular
 These plugins allow Okular to view additional document formats:
  * Portable Document Format (PDF)
  * PostScript
  * Device Independent Format (DVI)
  * DeJaVu Format
  * Comic Books
  * Images (JPEG, PNG, GIF, and many more)
  * TIFF Image Format
  * FictionBook Format
  * Plucker Format
  * OpenDocument Text Format
  * Microsofts CHM Format
  * Microsofts XML Document Format
 .
 This package is part of the KDE graphics module.

Package: qml-module-org-kde-okular
Architecture: any
Depends: qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: okular (<< 4:17.12.2~),
Replaces: okular (<< 4:17.12.2~),
Description: mobile support for Okular - QML modules
 This package contains the QML module for interfacing with the Okular core
 library.
 .
 This package is part of the KDE graphics module.

Package: okular-mobile
Architecture: any
Depends: qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-okular (= ${binary:Version}),
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls2,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: ghostscript,
          okular-extra-backends (= ${binary:Version}),
          poppler-data,
          texlive-binaries,
          unrar,
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: okular
Description: mobile support for Okular
 These plugins allow Okular to view additional document formats for mobile:
  * Portable Document Format (PDF)
  * PostScript
  * Device Independent Format (DVI)
  * DeJaVu Format
  * Comic Books
  * Images (JPEG, PNG, GIF, and many more)
  * TIFF Image Format
  * FictionBook Format
  * Plucker Format
  * OpenDocument Text Format
  * Microsofts CHM Format
  * Microsofts XML Document Format
 .
 This package is part of the KDE graphics module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-11~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_strip:
	$(overridden_command) --dbgsym-migration='okular-dbg (<= 16.08.90-1~~)'

override_dh_makeshlibs:
	$(overridden_command) -V
